import { select,json,csv,geoPath,geoAlbersUsa,geoMercator,scaleOrdinal,schemeCategory10,} from 'd3';
import { feature, mesh } from 'topojson';

const svg = select('svg');


const projection = d3.geoAlbersUsa().scale(750).translate([487.5, 305]);
const pathGenerator = geoPath().projection(projection);

const csvFile = csv('');



json(
  'https://gist.githubusercontent.com/bhargavarathod/8c661cf5ed10cf1ed2bbb5dd2b4d8de4/raw/c818c6dad3d2afec1aad349b9f8a3943bfb5b58a/africa.json'
).then((data) => {
  const counties = feature(data, data.objects.states);
  console.log(counties.features);
  console.log(data.objects);
  svg
    .selectAll('path')
    .data(counties.features)
    .enter()
    .append('path')
    .attr('class', 'counties')
    .attr('d', (d) => pathGenerator(d))
    .append('title')
    .text((d) => d.properties.name);
});
